"Failed to load..." "Invalid version: ..." error while trying to load custom theme


#1

Hi!

I’ve been trying to build a custom UI and syntax using the instructions here and here. When I reload Atom after entering apm link at the command prompt, I get “Failed to load the…” my ui package name, and “Invalid version: …”. The stack trace is included at the bottom.

Starting from scratch and changing the version number in package.json haven’t prevented this error.

Any tips or ideas?

Thank you!

Invalid version: "0.2" in C:\Users\Nick\.atom\packages\one-seattle-dark-ui\package.json Hide Stack Trace Error: Invalid version: "0.2" at Object.module.exports.fixVersionField (C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\node_modules\normalize-package-data\lib\fixer.js:191:13) at C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\node_modules\normalize-package-data\lib\normalize.js:32:38 at Array.forEach (native) at normalize (C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\node_modules\normalize-package-data\lib\normalize.js:31:15) at PackageManager.module.exports.PackageManager.normalizePackageMetadata (C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\src\package-manager.js:727:16) at PackageManager.module.exports.PackageManager.loadPackageMetadata (C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\src\package-manager.js:701:18) at PackageManager.module.exports.PackageManager.loadPackage (C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\src\package-manager.js:423:36) at C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\src\package-manager.js:402:19 at Config.module.exports.Config.transact (C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\src\config.js:312:16) at PackageManager.module.exports.PackageManager.loadPackages (C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\src\package-manager.js:397:19) at C:\Users\Nick\AppData\Local\atom\app-1.8.0-beta3\resources\app.asar\src\atom-environment.js:743:28 at C:\Users\Nick\.atom\packages\one-seattle-dark-ui\package.json:1:1


#2

Version numbers have three numbers separated by periods. 0.2.0 is valid. 0.2 is not valid.


#3

D’oh!

Thank you! If you’re ever in Seattle, I owe you a beer!